execute at @a if block ~ ~-0.1 ~ birch_planks run tp @a -19.59 98.00 1.12 360.11 58.20
execute at @a if block ~ ~-0.1 ~ diamond_block run setblock -20 51 28 air
execute at @a if block ~ ~-0.1 ~ diamond_block run fill -20 72 27 -20 52 27 minecraft:barrier
execute at @a if block ~ ~-0.1 ~ diamond_block run fill -20 72 29 -20 52 29 minecraft:barrier
execute at @a if block ~ ~-0.1 ~ diamond_block run fill -21 72 28 -21 52 28 minecraft:barrier
execute at @a if block ~ ~-0.1 ~ diamond_block run fill -19 72 28 -19 52 28 minecraft:barrier
execute at @a if block ~ ~-0.1 ~ diamond_block run effect clear @a resistance
execute at @a if block ~ ~-0.1 ~ diamond_block run spawnpoint @a -19 44 28
execute at @a if block ~ ~-0.1 ~ diamond_block run effect give @a resistance 5 5 true
execute at @a if block ~ ~-0.1 ~ diamond_block run summon slime -8 44 28 {Health:200f,Size:4,Tags:["SlimeBoss"],CustomName:"{\"text\":\"The Slime Boss\",\"color\":\"dark_green\",\"bold\":\"true\",\"italic\":\"true\"}",Attributes:[{Name:generic.maxHealth,Base:200},{Name:generic.attackDamage,Base:40}]}
execute at @a if block ~ ~-0.1 ~ diamond_block run tellraw @a {"text":"If you think you are truly worthy to escape, try to beat this Slime Boss. It's the only way to escape.","color":"green"}
execute at @a if block ~ ~-0.1 ~ diamond_block run effect give @e[type=slime,tag=SlimeBoss] resistance 1000000 3
execute at @a if block ~ ~-0.1 ~ diamond_block run effect give @e[type=slime,tag=SlimeBoss] regeneration 1000000 0
execute at @a if block ~ ~-0.1 ~ diamond_block run tag @a add slimefight
execute at @a if block ~ ~-0.1 ~ diamond_block run replaceitem entity @a armor.head minecraft:diamond_helmet{display:{Name:"{\"text\":\"Slime Helmet\",\"color\":\"green\",\"italic\":\"false\"}"},HideFlags:1,Unbreakable:1b} 1
execute at @a if block ~ ~-0.1 ~ diamond_block run replaceitem entity @a armor.chest minecraft:diamond_chestplate{display:{Name:"{\"text\":\"Slime Chestplate\",\"color\":\"green\",\"italic\":\"false\"}"},HideFlags:1,Unbreakable:1b} 1
execute at @a if block ~ ~-0.1 ~ diamond_block run replaceitem entity @a armor.legs minecraft:diamond_leggings{display:{Name:"{\"text\":\"Slime Leggings\",\"color\":\"green\",\"italic\":\"false\"}"},HideFlags:1,Unbreakable:1b} 1
execute at @a if block ~ ~-0.1 ~ diamond_block run replaceitem entity @a armor.feet minecraft:diamond_boots{display:{Name:"{\"text\":\"Slime Boots\",\"color\":\"green\",\"italic\":\"false\"}"},HideFlags:1,Unbreakable:1b} 1
execute at @a if block ~ ~-0.1 ~ diamond_block run give @a minecraft:iron_sword{display:{Name:"{\"text\":\"The Sword\",\"color\":\"gold\",\"bold\":\"true\",\"italic\":\"false\"}"},HideFlags:1,Unbreakable:1b,Enchantments:[{id:"minecraft:sharpness",lvl:1}]} 1
execute at @a if block ~ ~-0.1 ~ diamond_block run setblock ~ ~-0.1 ~ air

scoreboard players add @a[tag=slimefight] slimefight 1
execute if entity @a[scores={slimefight=200}] run execute at @e[tag=slimeball] run summon snowball ~ ~ ~
execute if entity @a[scores={slimefight=205}] run execute at @e[tag=slimeball] run summon snowball ~ ~ ~
execute if entity @a[scores={slimefight=210}] run execute at @e[tag=slimeball] run summon snowball ~ ~ ~
execute if entity @a[scores={slimefight=215}] run execute at @e[tag=slimeball] run summon snowball ~ ~ ~
execute if entity @a[scores={slimefight=220}] run execute at @e[tag=slimeball] run summon snowball ~ ~ ~
execute if entity @a[scores={slimefight=225}] run execute at @e[tag=slimeball] run summon snowball ~ ~ ~
execute if entity @a[scores={slimefight=325}] at @e[tag=SlimeBoss] run summon slime ~ ~ ~ {Size:2,CustomName:"{\"text\":\"Reinforcement\",\"color\":\"green\"}"}
execute if entity @a[scores={slimefight=325}] at @e[tag=SlimeBoss] run summon slime ~ ~ ~ {Size:2,CustomName:"{\"text\":\"Reinforcement\",\"color\":\"green\"}"}
execute if entity @a[scores={slimefight=325}] at @e[tag=SlimeBoss] run summon slime ~ ~ ~ {Size:2,CustomName:"{\"text\":\"Reinforcement\",\"color\":\"green\"}"}
execute if entity @a[scores={slimefight=325}] at @e[tag=SlimeBoss] run summon slime ~ ~ ~ {Size:2,CustomName:"{\"text\":\"Reinforcement\",\"color\":\"green\"}"}
execute if entity @a[scores={slimefight=325}] at @e[tag=SlimeBoss] run summon slime ~ ~ ~ {Size:2,CustomName:"{\"text\":\"Reinforcement\",\"color\":\"green\"}"}
execute if entity @a[scores={slimefight=326}] run scoreboard players set @a slimefight 1

execute at @a if entity @e[type=minecraft:snowball,distance=..2] run effect give @a minecraft:slowness 5 3 true

execute as @e[limit=1,type=slime,tag=SlimeBoss] store result bossbar healthbar value run data get entity @s Health
bossbar set minecraft:healthbar max 25
execute unless entity @e[type=slime,tag=SlimeBoss] run bossbar set minecraft:healthbar visible false
execute if entity @e[type=slime,tag=SlimeBoss] run bossbar set minecraft:healthbar visible true
execute unless entity @e[type=slime,tag=SlimeBoss] if entity @a[tag=slimefight] as @a at @s run tp @s ~ ~61 ~
execute unless entity @e[type=slime,tag=SlimeBoss] if entity @a[tag=slimefight] as @a run tag @s remove slimefight

execute at @a[tag=!end] if block ~ ~-0.1 ~ emerald_block run effect give @a resistance 1000000 4 true
execute at @a[tag=!end] if block ~ ~-0.1 ~ emerald_block run effect give @a levitation 1000000 255 true
execute at @a[tag=!end] if block ~ ~-0.1 ~ emerald_block run summon armor_stand -7 105 28 {NoGravity:1b,Invisible:1b,Tags:["animation"]}
execute at @a[tag=!end] if block ~ ~-0.1 ~ emerald_block run tag @a add end
execute as @e[tag=animation] at @s if block ~ ~8 ~ gold_ore run tp @s ~ ~ ~-0.3
execute as @e[tag=animation] at @s if block ~ ~8 ~ iron_ore run tp @s ~0.3 ~ ~
execute as @e[tag=animation] at @s if block ~ ~8 ~ gold_block run effect clear @a levitation
execute as @e[tag=animation] at @s if block ~ ~8 ~ gold_block run kill @s
execute at @e[tag=animation] run tp @a ~ ~ ~
scoreboard players add @a[tag=end] endtime 1
title @a[scores={endtime=50}] times 20 100 20
title @a[scores={endtime=50}] title {"text":"Slime Escape","bold":true,"color":"dark_green"}
title @a[scores={endtime=50}] subtitle ["",{"text":"by "},{"text":"SimonDMCPlayer","color":"green"}]